From 527dcc29d0d70f7f8ea63f84f5adbbb97a88eced Mon Sep 17 00:00:00 2001
From: Timothée Ravier <tim@siosm.fr>
Date: Mar 21 2019 08:19:21 +0000
Subject: [PATCH 1/4] Convert kinoite.json to fedora-kinoite.yaml


---

diff --git a/fedora-kinoite.yaml b/fedora-kinoite.yaml
new file mode 100644
index 0000000..753d302
--- /dev/null
+++ b/fedora-kinoite.yaml
@@ -0,0 +1,15 @@
+include: kde-desktop-pkgs.json
+ref: fedora/29/${basearch}/kinoite
+rojig:
+  name: fedora-kde
+  summary: "Fedora Kinoite (KDE) base image"
+  license: MIT
+packages:
+  - kwayland-integration
+  - kwin-wayland
+  - plasma-workspace-wayland
+  - xdg-desktop-portal-kde
+  - xorg-x11-server-Xwayland
+
+repos:
+  - fedora-29
diff --git a/kinoite.json b/kinoite.json
deleted file mode 100644
index 1c4ae73..0000000
--- a/kinoite.json
+++ /dev/null
@@ -1,14 +0,0 @@
-{
-    "ref": "fedora/29/${basearch}/kinoite",
-    "repos": ["fedora-29"],
-
-    "include": "kde-desktop-pkgs.json",
-
-    "packages": [
-        "kwayland-integration",
-        "kwin-wayland",
-        "plasma-workspace-wayland",
-        "xdg-desktop-portal-kde",
-        "xorg-x11-server-Xwayland"
-    ]
-}

From 32d8547527f9773d9443b2227e7006cd1ec45f60 Mon Sep 17 00:00:00 2001
From: Timothée Ravier <tim@siosm.fr>
Date: Mar 21 2019 08:19:21 +0000
Subject: [PATCH 2/4] Convert fedora-xfce.json to fedora-xfce.yaml


---

diff --git a/fedora-xfce.json b/fedora-xfce.json
deleted file mode 100644
index 2989267..0000000
--- a/fedora-xfce.json
+++ /dev/null
@@ -1,10 +0,0 @@
-{
-    "ref": "fedora/29/${basearch}/xfce",
-    "repos": ["fedora-29"],
-
-    "include": "xfce-desktop-pkgs.json",
-
-    "packages": [
-        "xdg-desktop-portal-gtk"
-    ]
-}
diff --git a/fedora-xfce.yaml b/fedora-xfce.yaml
new file mode 100644
index 0000000..54d65db
--- /dev/null
+++ b/fedora-xfce.yaml
@@ -0,0 +1,10 @@
+include: xfce-desktop-pkgs.json
+ref: fedora/29/${basearch}/xfce
+rojig:
+  name: fedora-xfce
+  summary: "Fedora XFCE base image"
+  license: MIT
+packages:
+    - xdg-desktop-portal-gtk
+repos:
+  - fedora-29

From 15357b6f845890cfcde331d0e208122dcb10266a Mon Sep 17 00:00:00 2001
From: Timothée Ravier <tim@siosm.fr>
Date: Mar 21 2019 08:19:21 +0000
Subject: [PATCH 3/4] Add LXQt variant


---

diff --git a/comps-sync-blacklist.yml b/comps-sync-blacklist.yml
index f94c21e..e00acd0 100644
--- a/comps-sync-blacklist.yml
+++ b/comps-sync-blacklist.yml
@@ -217,3 +217,11 @@ desktop_blacklist:
     - vim-enhanced
     # ?
     - rodent-icon-theme
+  lxqt-desktop:
+    # Incompatible with ostree for various reasons
+    - dnfdragora-updater
+    # Non-critical apps -> Flatpak
+    - ark
+    - falkon
+    - falkon-kwallet
+    - pcmanfm-qt
diff --git a/comps-sync.py b/comps-sync.py
index 68a8a4c..1734c8a 100755
--- a/comps-sync.py
+++ b/comps-sync.py
@@ -122,7 +122,7 @@ if (n_manifest_new > 0 or n_comps_new > 0) and args.save:
 
 
 # Generate treefiles for all desktops
-for desktop in [ 'gnome-desktop', 'kde-desktop', 'xfce-desktop' ]:
+for desktop in [ 'gnome-desktop', 'kde-desktop', 'xfce-desktop', 'lxqt-desktop' ]:
     print()
     print("Syncing packages for {} specific version:".format(desktop))
 
diff --git a/fedora-lxqt.yaml b/fedora-lxqt.yaml
new file mode 100644
index 0000000..eac9cd8
--- /dev/null
+++ b/fedora-lxqt.yaml
@@ -0,0 +1,12 @@
+include: lxqt-desktop-pkgs.json
+ref: fedora/29/${basearch}/lxqt
+rojig:
+  name: fedora-lxqt
+  summary: "Fedora LXQT base image"
+  license: MIT
+packages:
+  - libqtxdg
+  - xdg-desktop-portal-kde
+
+repos:
+  - fedora-29
diff --git a/lxqt-desktop-pkgs.json b/lxqt-desktop-pkgs.json
new file mode 100644
index 0000000..57ba5c7
--- /dev/null
+++ b/lxqt-desktop-pkgs.json
@@ -0,0 +1,37 @@
+{
+    "00packages-comment": "DO NOT EDIT! This content is generated from comps-sync.py",
+    "include": "fedora-common-ostree.json",
+    "packages": [
+        "breeze-cursor-theme",
+        "breeze-gtk",
+        "breeze-icon-theme",
+        "fedora-icon-theme",
+        "firewall-config",
+        "initial-setup-gui",
+        "kwin",
+        "lxqt-about",
+        "lxqt-config",
+        "lxqt-globalkeys",
+        "lxqt-notificationd",
+        "lxqt-openssh-askpass",
+        "lxqt-panel",
+        "lxqt-policykit",
+        "lxqt-powermanagement",
+        "lxqt-qtplugin",
+        "lxqt-runner",
+        "lxqt-session",
+        "lxqt-themes",
+        "lxqt-themes-fedora",
+        "network-manager-applet",
+        "nm-connection-editor",
+        "notification-daemon",
+        "obconf",
+        "openbox",
+        "perl-File-MimeInfo",
+        "qterminal",
+        "sddm",
+        "sddm-breeze",
+        "upower",
+        "xdg-user-dirs"
+    ]
+}

From 3a2e3362e5d69ed4f140548de0ff5a10b2543451 Mon Sep 17 00:00:00 2001
From: Timothée Ravier <tim@siosm.fr>
Date: Mar 21 2019 08:19:21 +0000
Subject: [PATCH 4/4] fedora-29.repo: update baseurl


---

diff --git a/fedora-29.repo b/fedora-29.repo
index 8ac0eb0..b37b568 100644
--- a/fedora-29.repo
+++ b/fedora-29.repo
@@ -1,6 +1,6 @@
 [fedora-29]
 name=Fedora 29 $basearch
-baseurl=http://download.fedoraproject.org/pub/fedora/linux//development/29/Everything/$basearch/os/
+baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/29/Everything/$basearch/os/
 #mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=29&arch=$basearch
 enabled=0
 gpgcheck=0

